<?php
include_once(dirname(__FILE__)."/common.php");
class UtilKeywordCheckConfig extends SOYShopConfigPageBase{
	
	/**
	 * @return string
	 */
	function getConfigPage(){
		$form = SOY2HTMLFactory::createInstance("UtilKeywordCheckConfigFormPage");
		$form->setConfigObj($this);
		$form->execute();
		return $form->getObject();
	}
	
	/**
	 * @return string
	 */
	function getConfigPageTitle(){
		return "キーワード判定振り分け設定";
	}
}
SOYShopPlugin::extension("soyshop.config","util_keyword_check","UtilKeywordCheckConfig");

class UtilKeywordCheckConfigFormPage extends WebPage{
	
	function UtilKeywordCheckConfigFormPage(){
		SOY2DAOFactory::importEntity("SOYShop_DataSets");
	}
	
	function doPost(){
		SOY2DAOFactory::importEntity("SOYShop_DataSets");

		if(isset($_POST["config"]) && soy2_check_token()){
	
			$config = $_POST["config"];
			$config["redirect"] = (isset($_POST["config"]["redirect"]) && $_POST["config"]["redirect"]==1) ? 1 : 0;
			$config["prefix"] = mb_convert_kana($config["prefix"],"a");
			$config["keywords"] = str_replace("、",",",$config["keywords"]);
			
			
			SOYShop_DataSets::put("util_keyword_check.config",$config);
	
			$this->config->redirect("updated");
		}
		
	}
	
	function execute(){
		
		$keywordConfig = UtilKeywordCheckCommon::getConfig();
		
		WebPage::WebPage();
		
		$this->addModel("updated",array(
			"visible" => isset($_GET["updated"])
		));
		
		$this->addForm("form");
		
		$this->addCheckBox("redirect",array(
			"name" => "config[redirect]",
			"value" => 1,
			"selected" => (isset($keywordConfig["redirect"]) && $keywordConfig["redirect"]==1),
			"elementId" => "redirect"
		));
		
		$this->addInput("prefix",array(
			"name" => "config[prefix]",
			"value" => (isset($keywordConfig["prefix"])) ? $keywordConfig["prefix"] : ""
		));
				
		$this->addLabel("domain",array(
			"text" => $_SERVER["HTTP_HOST"]
		));
		
		$this->addLabel("prefix_text",array(
			"text" => (isset($keywordConfig["prefix"])) ? $keywordConfig["prefix"] : "o"
		));
		
		$this->addTextArea("keywords",array(
			"name" => "config[keywords]",
			"value" => (isset($keywordConfig["keywords"])) ? $keywordConfig["keywords"] : ""
		));	
	}
	
	function getTemplateFilePath(){
		return dirname(__FILE__)."/soyshop.config.html";
	}
	
	function setConfigObj($obj) {
		$this->config = $obj;
	}
}
?>
